Package org.apache.maven.scm

## Class ScmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `NoSuchCommandScmException`, `NoSuchScmProviderException`, `ScmRepositoryException`

    public class ScmException
    extends java.lang.Exception

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmException​(java.lang.String message)`
`ScmException​(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmException

    public ScmException​(java.lang.String message)

Parameters:
  `message` - the message could be null

#### ScmException

    public ScmException​(java.lang.String message,
                        java.lang.Throwable cause)

Parameters:
  `message` - the message could be null
  `cause` - the cause could be null